export const colorLegend = (selection,props) => { //vyselekt.svg a properties ako v react
    const {colorScale,circleRadius,spacing,textOffset,backgroundRectWidth}=props;
  
 
  const backgroundRect =selection.selectAll('rect')
    .data([null]);
  
  backgroundRect.enter().append('rect')
    .merge(backgroundRect)
       .attr('x',-circleRadius*2)
        .attr('y',-circleRadius*2)
        .attr('rx',circleRadius*2)
      .attr('opacity',0.7)
      .attr('width',backgroundRectWidth)
      .attr('height',spacing*colorScale.domain().length+circleRadius*2)
      .attr('fill','white');
  
  
   const groups =selection.selectAll('g')
    	.data(colorScale.domain());
    const groupsEnter=groups.enter().append('g')
      .attr('class','tick'); //static examples use just enter selection because there is no need to use update
    groupsEnter  
    .merge(groups) //update sme presunuli sem cez merge= enter+update
           .attr('transform',(d,i)=>`translate(0,${i*spacing})`)
      
    groups
      .exit()
      .remove();//zmiznutie
  
   
    //	.data(fruits,d=> d.id);
    groupsEnter.append('circle') //static examples use just enter selection because there is no need to use update
        .merge(groups.select('circle')) //update sme presunuli sem cez merge= enter+update
          .attr('fill',colorScale)//d=>colorScale(d) je equivalentne colorScale
          .attr('r',circleRadius);
 
  
    groupsEnter.append('text') //static examples use just enter selection because there is no need to use update
        .merge(groups.select('text')) //update sme presunuli sem cez merge= enter+update
         // .attr('fill',d=>colorScale(d.type))
          .text(d=>d)
          .attr('dy','0.32em')
          .attr('x', textOffset);
  
  
  
   
  
   
 }