import {feature} from 'topojson'; //potrebujem transformovat topojson na geojson s kt. pracuje d3.js
import {tsv,json} from 'd3';

export const loadAndProcessData=()=>
  Promise.all([// for coupling premises into one scope
  			tsv('okresy.tsv'),
       json('okresy.json')
    ]).then(([unData,topoJSONdata])=>{
         console.log(JSON.stringify(topoJSONdata)); 
  //  document.getElementById("message2").textContent=unData[0]; 
        



          const rowById=unData.reduce((accumulator,d)=>{
            // accumulator[d.iso_n3]=d.name;//iba name
            accumulator[d.okres]=d;//vsetko
             return accumulator;
          }, {});

       const countries = feature(topoJSONdata,topoJSONdata.objects.gadm36_SVK_2);
           countries.features.forEach(d=>{// urobime preprocesing, aby sme nemuseli robit lookup neskor
              Object.assign(d.properties,rowById[d.properties.NAME_2]);//namiesto rowById[].name budeme vola d.name...
            

          });
       const featureWithPopulation=countries.features
         .filter(d=>d.properties['pondelok_16.3.2020'])
         .map(d=> {
          d.properties['pondelok_16.3.2020'] = +d.properties['pondelok_16.3.2020'].replace(/ /g,'');
          return d;
         });
    console.log(countries);
    return {
      features:countries.features,
      featureWithPopulation
    };
   
  });