export const sizeLegend = (selection,props) => { //vyselekt.svg a properties ako v react
    const {sizeScale,spacing,textOffset,numTicks,tickFormat}=props;
  
  const ticks= sizeScale.ticks(numTicks).filter(d=>d!==0)
   .reverse();
  console.log(ticks);
  
   const groups =selection.selectAll('g')
    	.data(ticks);
    const groupsEnter=groups.enter().append('g')
      .attr('class','tick'); //static examples use just enter selection because there is no need to use update
    groupsEnter  
    .merge(groups) //update sme presunuli sem cez merge= enter+update
           .attr('transform',(d,i)=>`translate(0,${i*spacing})`)
      
    groups
      .exit()
      .remove();//zmiznutie
  
   
    //	.data(fruits,d=> d.id);
    groupsEnter.append('circle') //static examples use just enter selection because there is no need to use update
        .merge(groups.select('circle')) //update sme presunuli sem cez merge= enter+update
        //  .attr('fill',circleFill)//d=>colorScale(d) je equivalentne colorScale
          .attr('r',d=>sizeScale(d));
       
  
    groupsEnter.append('text') //static examples use just enter selection because there is no need to use update
        .merge(groups.select('text')) //update sme presunuli sem cez merge= enter+update
         
          .text(tickFormat)
          .attr('dy','0.32em')
          .attr('x', d=> sizeScale(d)+textOffset);
  
  
  
   
  
   
 }